/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */

'use strict';

exports.__esModule = true;
exports.addLocaleData = addLocaleData;
exports.hasLocaleData = hasLocaleData;

var _intlMessageformat = require('intl-messageformat');

var _intlRelativeformat = require('intl-relativeformat');

var registeredLocales = Object.create(null);

function addLocaleData() {
    var data = arguments.length <= 0 || arguments[0] === undefined ? [] : arguments[0];

    var locales = Array.isArray(data) ? data : [data];

    locales.forEach(function (localeData) {
        _intlMessageformat.__addLocaleData(localeData);
        _intlRelativeformat.__addLocaleData(localeData);

        var locale = localeData.locale;

        registeredLocales[locale.toLowerCase()] = locale;
    });
}

function hasLocaleData(locale) {
    return !!registeredLocales[locale.toLowerCase()];
}