/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */

'use strict';

exports.__esModule = true;
exports.defineMessages = defineMessages;

function _interopRequire(obj) { return obj && obj.__esModule ? obj['default'] : obj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _en = require('./en');

var _en2 = _interopRequireDefault(_en);

var _localeDataRegistry = require('./locale-data-registry');

_localeDataRegistry.addLocaleData(_en2['default']);

exports.addLocaleData = _localeDataRegistry.addLocaleData;

var _types = require('./types');

exports.intlShape = _types.intlShape;

var _inject = require('./inject');

exports.injectIntl = _interopRequire(_inject);

var _componentsIntl = require('./components/intl');

exports.IntlProvider = _interopRequire(_componentsIntl);

var _componentsDate = require('./components/date');

exports.FormattedDate = _interopRequire(_componentsDate);

var _componentsTime = require('./components/time');

exports.FormattedTime = _interopRequire(_componentsTime);

var _componentsRelative = require('./components/relative');

exports.FormattedRelative = _interopRequire(_componentsRelative);

var _componentsNumber = require('./components/number');

exports.FormattedNumber = _interopRequire(_componentsNumber);

var _componentsPlural = require('./components/plural');

exports.FormattedPlural = _interopRequire(_componentsPlural);

var _componentsMessage = require('./components/message');

exports.FormattedMessage = _interopRequire(_componentsMessage);

var _componentsHtmlMessage = require('./components/html-message');

exports.FormattedHTMLMessage = _interopRequire(_componentsHtmlMessage);

function defineMessages(messageDescriptors) {
  // This simply returns what's passed-in because it's meant to be a hook for
  // babel-plugin-react-intl.
  return messageDescriptors;
}